Bug 908764 - RFE: Support repo-pkgs command set
RFE: Support repo-pkgs command set
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Holy
Fedora Extras Quality Assurance
:
Depends On: 963710
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 08:01 EST by Jan Zeleny
Modified: 2015-10-05 22:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: dnf-0.6.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-23 00:40:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Zeleny 2013-02-07 08:01:28 EST
Recently a new command set called repo-pkgs (or repository-packages) has been added to yum. It allows user to install/uninstall all packages from given repository. Uninstallation can also detect packages which are dependencies of other packages that are not to be uninstalled. Such dependencies won't be deleted, only information about their source repo will be updated.

It would be nice for dnf to have this functionality.

Note that this is not urgent at the moment, the bug is just to track this.
Comment 1 Ales Kozumplik 2013-02-07 08:31:19 EST
Yes, we discussed this, thanks for opening the bug for it.
Comment 2 Ales Kozumplik 2013-12-17 11:17:29 EST
Radek, this is a nice feature bug for you to look at. Probably not a plugin material. Please make sure the command syntax is sane even at the cost of (slightly) deflecting from yum's.
Comment 3 Radek Holy 2014-02-10 03:33:33 EST
I would tend to make the command consistent with the group command. I mean that e.g. the list sub-command would list specified repos (instead of their packages). I would also prefer to name the command just "repo" (without the pkgs suffix).
Comment 4 Radek Holy 2014-02-10 04:53:19 EST
Well, I understand that compatibility is more important than consistency. Forget my previous comment.
Comment 5 Radek Holy 2014-08-27 11:28:25 EDT
Added by 9abbc73171d03f8b03afeba881424616d5123775 on master.
Comment 6 Fedora Update System 2014-09-04 11:49:33 EDT
dnf-0.6.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.1-1.fc21
Comment 7 Fedora Update System 2014-09-05 21:00:03 EDT
Package dnf-0.6.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10199/dnf-0.6.1-1.fc21
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-09-23 00:40:17 EDT
dnf-0.6.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.